# Uses of Interface
org.eclipse.jdt.core.ITypeRoot

Packages that use ITypeRoot
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.
org.eclipse.jdt.core.manipulation
Application programming interface for the JDT core manipulation plug-in class.
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of ITypeRoot in org.eclipse.jdt.core

Subinterfaces of ITypeRoot in org.eclipse.jdt.core
Modifier and Type
Interface
Description
`interface`
`IClassFile`
Represents a single `.class` file, holding the binary form of either a type or a module: A class file of type `IOrdinaryClassFile` has a single child of type `IType`, a class file of type `IModularClassFile` has a single child of type `IModuleDescription`. Class file elements need to be opened before they can be navigated.
`interface`
`ICompilationUnit`
Represents an entire Java compilation unit (source file with one of the `Java-like extensions`).
`interface`
`IModularClassFile`
Represents the class file of a module description ("module-info.class").
`interface`
`IOrdinaryClassFile`
Ordinary form of a `IClassFile` which holds exactly one `IType`.
Methods in org.eclipse.jdt.core that return ITypeRoot
Modifier and Type
Method
Description
`ITypeRoot`
ILocalVariable.`getTypeRoot()`
Returns the Java type root in which this local variable is declared.
`ITypeRoot`
IMember.`getTypeRoot()`
Returns the Java type root in which this member is declared.
`ITypeRoot`
ITypeParameter.`getTypeRoot()`
Returns the Java type root in which this type parameter is declared.

## Uses of ITypeRoot in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return ITypeRoot
Modifier and Type
Method
Description
`ITypeRoot`
CompilationUnit.`getTypeRoot()`
The Java type root (a `compilation unit` or a `class file`) this compilation unit was created from, or `null` if it was not created from a Java type root.
Methods in org.eclipse.jdt.core.dom with parameters of type ITypeRoot
Modifier and Type
Method
Description
`static ASTNode`
NodeFinder.`perform(ASTNode root, int start, int length, ITypeRoot source)`
Maps a selection to an ASTNode, where the selection is given by a start and a length.
`void`
ASTParser.`setSource(ITypeRoot source)`
Sets the source code to be parsed.
`void`
ASTParser.`setSource(ITypeRoot source, int astLevel)`
Sets the source code to be parsed.

## Uses of ITypeRoot in org.eclipse.jdt.core.manipulation

Methods in org.eclipse.jdt.core.manipulation that return ITypeRoot
Modifier and Type
Method
Description
`ITypeRoot`
CoreASTProvider.`getActiveJavaElement()`
`ITypeRoot`
CoreASTProvider.`getReconcilingJavaElement()`
Methods in org.eclipse.jdt.core.manipulation with parameters of type ITypeRoot
Modifier and Type
Method
Description
`void`
CoreASTProvider.`aboutToBeReconciled(ITypeRoot javaElement)`
Informs that reconciling for the given element is about to be started.
`void`
CoreASTProvider.`aboutToBeReconciled(ITypeRoot javaElement, Runnable finishReconciling)`
Informs that reconciling for the given element is about to be started.
`void`
CoreASTProvider.`cache(CompilationUnit ast, ITypeRoot javaElement)`
Caches the given compilation unit AST for the given Java element.
`CompilationUnit`
CoreASTProvider.`getAST(ITypeRoot input, CoreASTProvider.WAIT_FLAG waitFlag, org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
Returns a shared compilation unit AST for the given Java element.
`static CompilationUnit`
SharedASTProviderCore.`getAST(ITypeRoot element, SharedASTProviderCore.WAIT_FLAG waitFlag, org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
Returns a compilation unit AST for the given Java element.
`void`
CoreASTProvider.`reconciled(CompilationUnit ast, ITypeRoot javaElement, org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
Update internal structures after reconcile.
`void`
CoreASTProvider.`setActiveJavaElement(ITypeRoot activeJavaElement)`
Set the active java element that is currently active.
`String`
CoreASTProvider.`toString(ITypeRoot javaElement)`
Returns a string for the given Java element used for debugging.

## Uses of ITypeRoot in org.eclipse.jdt.ui

Methods in org.eclipse.jdt.ui that return ITypeRoot
Modifier and Type
Method
Description
`static ITypeRoot`
JavaUI.`getEditorInputTypeRoot(org.eclipse.ui.IEditorInput editorInput)`
Returns the `ITypeRoot` wrapped by the given editor input.
Methods in org.eclipse.jdt.ui with parameters of type ITypeRoot
Modifier and Type
Method
Description
`static CompilationUnit`
SharedASTProvider.`getAST(ITypeRoot element, SharedASTProvider.WAIT_FLAG waitFlag, org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
Deprecated.
Returns a compilation unit AST for the given Java element.